---
metadata:
  - name: generator
    content: Diplodoc Platform v5.39.1
alternate:
  - https://yandex.com.tr/support/forms/en/api-ref/operations/events_v1_views_operations_get_operation_view.md
---
> **Documentation Index:** Fetch the complete configuration index at https://yandex.com.tr/support/forms/en/llms.txt

<div class="openapi">

# Get operation result

<!-- markdownlint-disable-file -->

Returns the operation result.

Parameters:
- **operation_id**: operation ID

## Request

<div class="openapi__requests">

<div class="openapi__request__wrapper" style="--method: var(--dc-openapi-methods-get);margin-bottom: 12px">

<div class="openapi__request">

GET {.openapi__method}
```text translate=no
https://api.forms.yandex.net/v1/operations/{operation_id}
```

</div>

</div>

</div>

### Path parameters

#|
|| **Name** | **Description** ||
||

_operation_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

_Example:_{.json-schema-reset .json-schema-example} ``
{.table-cell}
||
|#{.json-schema-properties}

## Responses

<div class="openapi__response__code__200">

## 200 OK

OK

<div class="openapi-entity">

### Body

{% cut "application/json" %}

```json translate=no
{
  "id": "example",
  "status": "ok",
  "message": "example"
}
```

{% endcut %}

#|
|| **Name** | **Description** ||
||

_id_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
**Type**: string

Operation ID

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
||

_status_{.json-schema-reset .json-schema-property .json-schema-required}
{.table-cell}|
{% cut "**All of 1 type**" %}{.json-schema-combinators data-marker=and}

- **OperationStatusType**

  **Type**: [OperationStatusType](#entity-OperationStatusType)

  An enumeration.

  _Enum:_{.json-schema-reset .json-schema-value} `ok`, `fail`, `wait`, `not_running`

{% endcut %}

Operation status

_Example:_{.json-schema-reset .json-schema-example} `ok`
{.table-cell}
||
||

_message_{.json-schema-reset .json-schema-property}
{.table-cell}|
**Type**: string

Operation message

_Example:_{.json-schema-reset .json-schema-example} `example`
{.table-cell}
||
|#{.json-schema-properties}

</div>

<div class="openapi-entity">

### OperationStatusType {#entity-OperationStatusType}

An enumeration.

**Type**: string

_Enum:_{.json-schema-reset .json-schema-value} `ok`, `fail`, `wait`, `not_running`

</div>

</div>

</div>

[*Deprecated]: No longer supported, please use an alternative and newer version.